Skip to content

Get implementation weaknesses

Request

Returns a list of implementation weakness types and their details

Security
bearer-key
Query
weaknessIDstring

Filter by specific weakness ID

GET
/api/v3.0/ai/implementationweakness
curl -i -X GET \
  'https://baseUrl/api/v3.0/ai/implementationweakness?weaknessID=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
Array [
weaknessIDstring
weaknessCategorystring
weaknessSeveritystring
weaknessScorestring
weaknessTitlestring
owaspCategorystring
weaknessDescriptionstring
weaknessPotentialImpactstring
weaknessBestPracticesstring
weaknessReferencesstring
]
Response
[ { "weaknessID": "string", "weaknessCategory": "string", "weaknessSeverity": "string", "weaknessScore": "string", "weaknessTitle": "string", "owaspCategory": "string", "weaknessDescription": "string", "weaknessPotentialImpact": "string", "weaknessBestPractices": "string", "weaknessReferences": "string" } ]